Package org.flowable.dmn.model

# Class OutputClause

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.OutputClause

public class OutputClause extends DmnElement

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected LiteralExpression`
  `defaultOutputEntry`
  `protected String`
  `name`
  `protected int`
  `outputNumber`
  `protected UnaryTests`
  `outputValues`
  `protected String`
  `typeRef`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutputClause()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LiteralExpression`
  `getDefaultOutputEntry()`
  `String`
  `getName()`
  `int`
  `getOutputNumber()`
  `UnaryTests`
  `getOutputValues()`
  `String`
  `getTypeRef()`
  `void`
  `setDefaultOutputEntry(LiteralExpression defaultOutputEntry)`
  `void`
  `setName(String name)`
  `void`
  `setOutputNumber(int outputNumber)`
  `void`
  `setOutputValues(UnaryTests outputValues)`
  `void`
  `setTypeRef(String typeRef)`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### outputValues

    protected UnaryTests outputValues

  - ### defaultOutputEntry

    protected LiteralExpression defaultOutputEntry

  - ### name

    protected String name

  - ### typeRef

    protected String typeRef

  - ### outputNumber

    protected int outputNumber

- ## Constructor Details

  - ### OutputClause

    public OutputClause()

- ## Method Details

  - ### getOutputValues

    public UnaryTests getOutputValues()

  - ### setOutputValues

    public void setOutputValues(UnaryTests outputValues)

  - ### getDefaultOutputEntry

    public LiteralExpression getDefaultOutputEntry()

  - ### setDefaultOutputEntry

    public void setDefaultOutputEntry(LiteralExpression defaultOutputEntry)

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getTypeRef

    public String getTypeRef()

  - ### setTypeRef

    public void setTypeRef(String typeRef)

  - ### getOutputNumber

    public int getOutputNumber()

  - ### setOutputNumber

    public void setOutputNumber(int outputNumber)